package storage

import (
	"io"

	"github.com/filecoin-project/go-state-types/abi"
	"github.com/ipfs/go-cid"
)

type Data = io.Reader

type Hash = [32]byte

type DecodedData struct {
	HasPre    bool
	PreHash   Hash
	Data      []byte
	PieceHash []Hash
}

type SectorRef struct {
	ID        abi.SectorID
	ProofType abi.RegisteredSealProof
}

type PreCommit1Out []byte

type Commit1Out []byte

type Proof []byte

type SectorCids struct {
	Unsealed cid.Cid
	Sealed   cid.Cid
}